Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QTcpServer.Result

    java.lang.Object
      java.lang.Enum<QTcpServer.Result>
          com.trolltech.qt.network.QTcpServer.Result

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<QTcpServer.Result>

Enclosing class:
  QTcpServer

    public static enum QTcpServer.Result

extends java.lang.Enum<QTcpServer.Result>

Enum Constant Summary
`Failure`
`Success`
`TimedOut`

Method Summary
`static QTcpServer.Result` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTcpServer.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Success

    public static final QTcpServer.Result Success

### Failure

    public static final QTcpServer.Result Failure

### TimedOut

    public static final QTcpServer.Result TimedOut

Method Detail

### values

    public static final QTcpServer.Result[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTcpServer.Result c : QTcpServer.Result.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTcpServer.Result valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD